> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/release-notes/sdk/march-2026/nfc-wallet-sdk-android-6.14.0.md).

# NFC Wallet SDK (Android) v6.14.0

### Supported platforms and architectures

* Android 8.1 or later
* Architectures: `arm64-v8a`, `armeabi-v7a`, `x86_64`, and `x86`

#### ✨ New Features

* Add support for wallet transaction data for PURE.
* Support yellow flow for Visa/PURE co-badged cards.

#### 🐛 Bug Fixes

* Fix a crash that occurred while decoding the activation code.
* Fix Visa ODA GPO values, including AIP and AFL, to load from the profile as defined in Visa specification 1.8.4 instead of from hardcoded native values.
* Fix a `NullPointerException` in `EnrollingServiceListener.onError()`.
* Fix a `NullPointerException` during `processIncomingMessage()` when context is null.
* Fix handling of default `walletTransactionData` when `walletTransactionData` is passed in ephemeral mode.
* Fix memory leaks in SDK listeners.
* Fix `getAllCards()` to skip corrupted cards.
* Fix extra card polling when card enrollment fails in yellow flow.
* Fix removal of missing card data when a co-badge card is deleted.

#### 🔧 Improvements

* Add new API `LogService` to manage logs.
* Update API to manage wallet transaction data.

#### ⚠️ Deprecations & Breaking Changes

* Secure logger API is deprecated. Use the `LogService` API to manage logs
* API to manage wallet transaction data has been updated. The following operations are now deprecated:
  * `DigitalizedCard.setWalletTransactionData(WalletTransactionData)`
  * `DigitalizedCard.getWalletTransactionData()`
  * `PaymentBusinessService.setWalletTransactionData(WalletTransactionData)`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/release-notes/sdk/march-2026/nfc-wallet-sdk-android-6.14.0.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
